# ===================================
#  Field Definitions
# ===================================

fields:
    controller:
        label: winter.builder::lang.controller.controller_name
        commentAbove: winter.builder::lang.controller.controller_name_description
        required: true
        attributes:
            default-focus: 1

    baseModelClassName:
        label: winter.builder::lang.controller.base_model_class
        commentAbove: winter.builder::lang.controller.base_model_class_description
        placeholder: winter.builder::lang.controller.base_model_class_placeholder
        span: left
        type: dropdown

    menuItem:
        label: winter.builder::lang.controller.menu_item
        commentAbove: winter.builder::lang.controller.menu_item_description
        placeholder: winter.builder::lang.controller.menu_item_placeholder
        span: right
        type: dropdown

tabs:
    fields:
        behaviors:
            commentAbove: winter.builder::lang.controller.controller_behaviors_description
            tab: winter.builder::lang.controller.controller_behaviors
            type: checkboxlist
        permissions:
            commentAbove: winter.builder::lang.controller.controller_permissions_description
            tab: winter.builder::lang.controller.controller_permissions
            type: checkboxlist
            placeholder: winter.builder::lang.controller.controller_permissions_no_permissions
